Subject: Re: Returning modified code to the Cygwin Community
From: Geoffrey Noer <[email-masked]>
To: "Robert O. Morris" <[email-masked]>
Cc: [email-masked], Distributed Oceanographic Data Server <[email-masked]>
Date: Wed, 4 Aug 1999 14:17:57 -0700

My suggestion would be to contact the authors of those original
projects.  I have talked with the folks at capgemini.fr about
including the ipc libraries in the base distribution but since the
work includes modified Linux kernel sources and we need a copyright
assignment, it's not likely to happen soon.  It would still be good
for that library to get the benefit of your cleanup work since a good
number of people use that stuff.

I would still like to see IPC support added to Cygwin but it will need
to be either a fresh implementation or one based on less restrictive
licensing terms.  Maybe this will happen some day but I don't think
we've heard from any volunteers yet.  :-)

And please contact Corinna for the RPC changes.

Best regards,

Geoffrey Noer		Email: [email-masked]
Cygnus Solutions

On Wed, Jul 28, 1999, Robert O. Morris wrote:
>
> I recently ported a rather large project to Cygwin and I
> had to modify a couple of Cygwin-related projects to get
> things to work for me.
> 
> I thought that if I sent email to the group, this would
> start the process of getting some of this back into Cygwin -
> and make our lives easier here (JPL and the DODS Group) and
> elsewhere in the long run by having this (possibly) incorporated
> back into the original distributions for this stuff.
> 
> . . . in the spirit of the open source movement . . . sharing . . .
> 
> These include the following for Cygwin 20.1B:
> 
> 1)  RPC Library for Cygwin 20.1B, starting with Corinna's stuff mentioned
>     on the Cygwin Home Page.
> 
>     binaries: http://dods.jpl.nasa.gov/WinPort/binaries/rpclib.bin.tar.gz
>     source  : http://dods.jpl.nasa.gov/WinPort/binaries/rpc-4.0.src.tar.gz
> 
>     Description:  Rather extensive modification (mostly) to allow them to
>                   to compile and link from either C or C++.  Things needed
>                   reorganized quite a bit.  I'm not sure how much of this
>                   got exercised in our port project - but whatever did,
> works.
> 
> 2)  Hdf4.1r2 for Cygwin 20.1B
> 
>     binaries: http://dods.jpl.nasa.gov/WinPort/binaries/hdf.bin.tar.gz
>     Source  : http://dods.jpl.nasa.gov/WinPort/binaries/hdf.src.tar.gz
> 
>     I simply got the source code and applied a patch from a guy at Goddard
>     that (at some point) had made it for B19.  I can't remember making any
>     other mods to this except general clean-up. It was originally from
>     ftp://niteroi.gsfc.nasa.gov/pub/win32/ncsa/.
> 
> 3)  IPC Library and tools for Cygwin 20.1B.
> 
>     http://dods.jpl.nasa.gov/WinPort/binaries/cygwinB20IPC.tar.gz.  This
>     originally came from http://www.multione.capgemini.fr/tools/pack_ipc/
>     and (if memory serves) mods were just general clean-up.
> 
> I'd like to see some of this moved out of dods.jpl.nasa.gov and put under
> control elsewhere if possible.
> 
> Someone in the know . . . . please advise.
> 
> Rob Morris
> Jet Propulsion Laboratory
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]